Set autocommit mode of the connection

- « cubrid_set_add

- cubrid_set_db_parameter »

- PHP Manual
- CUBRID Functions
- Set autocommit mode of the connection

# cubrid_set_autocommit

(PECL CUBRID >= 8.4.0)

cubrid_set_autocommit — Set autocommit mode of the connection

### Description

cubrid_set_autocommit(resource `$conn_identifier`, bool `$mode`): bool

The cubrid_set_autocommit() function is used to set the CUBRID database auto-commit mode of the current database connection.

In CUBRID PHP, auto-commit mode is disabled by default for transaction management. When auto-commit mode is truned from off to on, any pending work is automatically committed.

### Parameters

`conn_identifier`

  Connection identifier.

`mode`

  Auto-commit mode. The following constants can be used:

  - `CUBRID_AUTOCOMMIT_FALSE`
  - `CUBRID_AUTOCOMMIT_TRUE`

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- cubrid_get_autocommit() - Get auto-commit mode of the connection
- cubrid_commit() - Commit a transaction